Subject: [6tisch] Fw: Re: 6top-to-6top protocol: first thoughts

From: 王沁 <[email-masked]>
Date: Thu, 20 Mar 2014 05:27:32 +0800 (GMT+08:00)

Hi all,

The discussion on how to make 6top-to-6top communication, especially for reading/writing neighbors' MIB is attached. It is also associated with another thread "wrapping CoAP message in 6top IE" in ML (sorry for making confuse). Please input your comments.

Thanks
Qin

-----原始邮件-----
发件人:"Thomas Watteyne" <[email-masked]>
发送时间:2014-03-19 22:42:40 (星期三)
收件人: "Raghuram Sudhaakar (rsudhaak)" <[email-masked]>
抄送: "Xavier Vilajosana" <[email-masked]>, "王沁" <[email-masked]>, "Pascal Thubert (pthubert)" <[email-masked]>, "[email-masked]" <[email-masked]>
主题: Re: 6top-to-6top protocol: first thoughts

Raghuram,
Absolutely, the CoAP header adds 4B and the URI encoding is rather verbose.
Let's discuss on a wider scale with the ML.

Qin,
As editor of the draft, could I ask you to move this discussion to the ML? You might want to add a little context and summary.

Thomas

On Wednesday, March 19, 2014, Raghuram Sudhaakar (rsudhaak) <[email-masked]> wrote:

[Adding Pouria]

Thomas,
It is a good idea. 

However, I would like to point out that the way the YANG model has translated into the CoAP is mostly as messages and not as payloads. These messages have a significant amount of CoAP specific headers and no payload in most cases. The headers may become unnecessary in an IE.

We need to consider these carefully. The larger ML is definitely a good place to obtain more views.

On another note, if the format of the IE can follow the YANG model, it will alleviate the issues mentioned above. 

-raghuram

From: Xavier Vilajosana <[email-masked]>
Date: Wednesday, March 19, 2014 at 6:49 AM
To: Thomas Watteyne <[email-masked]>
Cc: 王沁 <[email-masked]>, "Pascal Thubert (pthubert)" <[email-masked]>, raghuram sudhaakar <[email-masked]>
Subject: Re: RE: Re: 6top-to-6top protocol: first thoughts

+1

2014-03-19 14:47 GMT+01:00 Thomas Watteyne <[email-masked]>:

I see Qin, thanks!

I propose the following next steps for this discussion:
switch to the the big ML
prepare some slides for presentation of the proposal on Friday
What do you think?

On Wed, Mar 19, 2014 at 6:37 AM, 王沁 <[email-masked]> wrote:
Hi Thomas,

In current version of IEEE802.15.4e, the format of payload IE (take MLME IE as example) is defined as follows. 

Length (b0-b10) + Group ID (b11-b14) + Type (b15) + {Length + SubID + Type + SubIE content} (1..NumOfSubIE). 

Right now, we use the GroupIE of MLME IE (See figure 48q in IEEE802.15.4e), and the unmanaged subID for each 6top IE, and the subID of wrapper IE will be one of them. In the future, after IEEE802.15.4 assign 6tisch a GroupID, we may change those subIDs accordingly.

Make sense?

Thanks

Qin

-----原始邮件-----
发件人:"Pascal Thubert (pthubert)" <[email-masked]>
发送时间:2014-03-19 15:10:36 (星期三)
收件人: "Thomas Watteyne" <[email-masked]>, "王沁" <[email-masked]>, "Raghuram Sudhaakar (rsudhaak)" <[email-masked]>
抄送: "Xavier Vilajosana" <[email-masked]>
主题: RE: Re: 6top-to-6top protocol: first thoughts

Hello Thomas

Very exciting idea, at least as a starting point.

Please think of a version number somewhere, because both may evolve. Do we wish to keep them in sync in the future?

If so, it might be that an IEEE doc and an IETF doc are coreq…

Cheers,

Pascal

<